#ifndef CONFIG_H_INCLUDED
#define CONFIG_H_INCLUDED


#define BUF_SIZE 4096 //send/recieve buffer sizes. minimum is 276. I like to keep it one cache page.

#define GRACE_TIME 50 //amount of milliseconds to wait in between one send and recieve cycle 
#define LISTEN_ON "0.0.0.0" //IP to listen on, default 0.0.0.0 which is connections from any IP
#define LISTEN_PORT 9000 //port to listen on
#define OUTDIR "." //directory that contains the output files, this includes process logging per device, plus the event log and the gps log

//default settings used for alerts and the device itself
#define DEFAULTS(CONN) \
        send_command(conn, "MUTESW,ON#");\
        send_command(conn, "TASK,ON#");\
        send_command(conn, "MODE,1,40#");\
        send_command(conn, "GPSMODE,2#");\
        send_command(conn, "SPEED,1,100#");\
        send_command(conn, "POWERALM,OFF#");\
        send_command(conn, "SERVER,1,coredump.ws,9000,0#");\
        send_command(conn, "GMT,W,1,0#");\
        send_command(conn, "SENALM,ON#");

#endif // CONFIG_H_INCLUDED
