

#ifndef _PACKET_H_
#define _PACKET_H_
#include <stdint.h>
#include <stdbool.h>
#include <stddef.h>

#include "../config.h"
#include "../util.h"
#include "../connection.h"
#include "AM01_typedefs.h"

#define PACKET(CUR) (*((data_packet *) CUR -> current_packet))


bool is_v2(data_packet packet);
size_t data_length(data_packet packet) ;
uint16_t crc16(data_packet packet) ;
data_packet get_basic_packet() ;
data_packet create_response(unsigned char protocol_number, unsigned  short count) ;

void send_data_packet( connection * conn, data_packet packet) ;
void send_command(connection * conn, const char * cmd) ;
void log_current_packet_ascii(connection * conn) ;
void log_current_packet(connection * conn) ;


#endif
