#include "util.h"
#include <sys/types.h>
#include <sys/stat.h>

void convert_imei(unsigned char * from, char * to) {
    CONVERT_HEX(from[0], to[0], to[1]);
    CONVERT_HEX(from[1], to[2], to[3]);
    CONVERT_HEX(from[2], to[4], to[5]);
    CONVERT_HEX(from[3], to[6], to[7]);
    CONVERT_HEX(from[4], to[8], to[9]);
    CONVERT_HEX(from[5], to[10], to[11]);
    CONVERT_HEX(from[6], to[12], to[13]);
    CONVERT_HEX(from[7], to[14], to[15]);
    to[16] = 0;
}


time_t fileModifiedAgo(char * path) {
    struct stat attr;
    stat(path, &attr);
    return  time(0) - attr.st_mtime;
}
