<?php
include 'lib.php';

$IMEI_MSG = "";

if (isset($_POST['imei']))
{
    $IMEI = $_POST['imei'];
    $IMEI = str_pad($IMEI, 16, "0", STR_PAD_LEFT);

    if (!check_imei($IMEI) || !file_exists(DEVPATH . $IMEI . '.gps.txt'))
    {
        $IMEI_MSG = "device not found: " . $IMEI;
    }
    else
    {
        $IMEI_MSG = "redir";
        redirect("tracker.php?imei=" . $IMEI);
    }
}
?>
<html>
   <head>
      <link rel="stylesheet" href="index.css" type="text/css">
      <link rel="stylesheet" type="text/css" href="fancybox/core.css" />
      <script src="jquery/jquery-3.2.1.min.js"></script>
      <script src="store.js"></script>
   </head>
   <body>
      <script src="fancybox/core.js"></script>
      <script src="fancybox/fullscreen.js"></script>
      <script src="fancybox/guestures.js"></script>
      <script src="fancybox/hash.js"></script>
      <script src="fancybox/media.js"></script>
      <script src="fancybox/share.js"></script>
      <script src="fancybox/slideshow.js"></script>
      <script src="fancybox/thumbs.js"></script>
      <script src="fancybox/wheel.js"></script>
      <div class="login-page">
         <div class="form">
            <form method="post" class="login-form" action="<?php echo $_SERVER['PHP_SELF']; ?>" >
               <input style="width:100%" type="text" placeholder="device IMEI" class="input" name="imei" id="imei" onchange="storeIMEI()"/>
               <button style="width:100%" class="button">login</button>
               <p class="message"><?php echo $IMEI_MSG ?></p>
               <p class="message">Don't know where to find your device IMEI? <a href="imei.png" data-fancybox="images">Click here</a></p>
            </form>
         </div>
      </div>
      <script>getIMEI();</script>
   </body>
</html>
