<?php
ini_set("zlib.output_compression", 1);
ob_start("ob_gzhandler"); 

include 'config.php';

$TZ= new DateTimeZone('UTC');

function check_imei($code) {
    return preg_match('/^[\p{L}\p{N}]{16,16}$/u', $code);
}

function check_unixdate($code) {
    return preg_match('/^[\p{L}\p{N}]{1,20}$/u', $code);
}

function datetotimestamp($dt) {
    $d = DateTime::createFromFormat('Y-m-d\TH:i:s+', $dt,$GLOBALS['TZ']);
    if ($d === false) {
        return 0;
    } else {
        return $d->getTimestamp();
    }
}

function read_fordates($file_path, $oneline) {
    if (!(check_unixdate($GLOBALS['BEGIN']) && check_unixdate($GLOBALS['END']))) {
        die();
    }
    
    passthru('./date_grep ' . $file_path . ' ' .$GLOBALS['BEGIN'] .' ' .$GLOBALS['END'] );
}

function read_last_line($file_path) {
    $output=[];
    $ret=0;
    exec ("tac " . $file_path  . " | grep -m 1 '[^[:blank:]]'",$output,$ret);
    return $output[0];
}

function multiexplode($delimiters, $string) {
    $ready = str_replace($delimiters, $delimiters[0], $string);
    $launch = explode($delimiters[0], $ready);
    return $launch;
}

function redirect($url, $statusCode = 303)
{
   header('Location: ' . $url, true, $statusCode);
   die();
}

?>
