<?php
   include 'lib.php';
   
   if (!isset($_GET['imei']) || !check_imei($_GET['imei'])) {
       echo 'Please accuire a valid device link.';
       die();
   }
   
   $IMEI=$_GET['imei'];
   $GPS= multiexplode(array(' ',','),read_last_line(DEVPATH . $IMEI . '.gps.txt'));
   ?>
<html>
   <head>
      <link rel="stylesheet" href="openlayers/ol.css" type="text/css">
      <link rel="stylesheet" href="tracker.css" type="text/css">
      <link rel="stylesheet" href="jquery/jquery-ui.css" type="text/css">
      <link rel="stylesheet" href="jquery/jquery.timepicker.min.css" type="text/css">

      <script src="jquery/jquery-3.2.1.min.js"></script>
      <script src="jquery/jquery-ui.js"></script>
      <script src="jquery/jquery.timepicker.min.js"></script>
      <script src="openlayers/ol.js"></script>
      
      <script id="assignments" type="text/javascript" >
         var defaultCenter=<?php echo '['.$GPS[2]. ','.$GPS[1].'];'; ?>
         var imei="<?php echo "$IMEI" ?>"
      </script>
      <title>Gps tracker map</title>
   </head>
   <body>
      <div id="lastseen"> </div>
      <div id="map"></div>
      <div id="popup" class="ol-popup">
        <a href="#" id="popup-closer" class="ol-popup-closer"></a>
        <div id="popup-content" style="width:20em;"></div>
     </div>
         
      <div id="menu">
        <div class="inlinesm">
         <select id='layer' onchange="changeLayer()" class="input_small">
            <option value="0">Street map</option>
            <option value="1">Sattelite</option>
         </select>
         <select id='eventsel' onchange="searchdateChange()" class="input_small">
            <option value="0">History</option>
            <option value="1">Events</option>
            <option value="2">Server logging</option>
            <option value="3">Command result</option>
            <option value="4">Trips</option>
         </select>
         </div>
         <span class="narrow"></span>
        <div class="inlinesm">
         <input value="<?php echo date('Y-m-d', strtotime('-3hours'));?>" id="beginDate" type="date" onchange="searchdateChange()" class="input_small"/>
         <input value="<?php echo date('H:i:s', strtotime('-3hours'));?>" id="beginTime" type="time" onchange="searchdateChange()" class="input_small"/>
         To:     
         <input  id="endDate" type="date" onchange="searchdateChange()" class="input_small"/>
         <input  id="endTime" type="time" onchange="searchdateChange()" class="input_small"/>
         </div>
         <span class="narrow"></span>
         <button id="downloadbtn" class="button_small">Download as CSV</button> <span id="distance"></span> 
      </div>
      <div id="table-scroll">
         <table id="coordinateTable" style="width:99%" class="table">
            <thead id="dataHead"></thead>
            <tbody id="dataBody"></tbody>
         </table>
      </div>
      <div id="bottombar">
         <form action="command.php?imei=<?php echo $IMEI?>" method="post" style="margin-top:6px;margin-left:auto;margin-right:auto;width:25em;">
            <a href="manual.pdf" target="_blank">Command</a> <input type="text" name="command" class="input_small" /> <input type="submit" value="Send" class="button_small"/>
         </form>
      </div>
      <script type="text/javascript" src="map/helper.js"></script>
      <script type="text/javascript" src="map/map.js"></script>
      <script type="text/javascript" src="map/trips.js"></script>
      <script type="text/javascript" src="map/mapData.js"></script>
      <script type="text/javascript" src="map/compatibility.js"></script>
   </body>
</html>
