#ifndef CONFIG_H_INCLUDED
#define CONFIG_H_INCLUDED


#define BUF_SIZE 4096 //send/recieve buffer sizes. minimum is 276. I like to keep it one cache page.

#define GRACE_TIME 200 //amount of milliseconds to wait in between one send and recieve cycle
#define LISTEN_ON "0.0.0.0" //IP to listen on, default 0.0.0.0 which is connections from any IP
#define LISTEN_PORT 8999 //port to listen on
#define OUTDIR "." //directory that contains the output files, this includes process logging per device, plus the event log and the gps log
//#define OUTDIR "./" //directory that contains the output files, this includes process logging per device, plus the event log and the gps log

//default settings used for alerts and the device itself
#define DEFAULTS(CONN) \
        send_command(conn, "W043,0,0,0");\
        send_command(conn, "W005,4");

#endif // CONFIG_H_INCLUDED
