#ifndef _UTIL_H_
#define _UTIL_H_

#define SWAP_UINT16(x) (((x) >> 8) | ((x) << 8))
#define SWAP_UINT32(x) (((x) >> 24) | (((x) & 0x00FF0000) >> 8) | (((x) & 0x0000FF00) << 8) | ((x) << 24))

#define min(a,b) (((a)<(b))?(a):(b))
#define max(a,b) (((a)>(b))?(a):(b))


#define CONVERT_HEX(bt, a, b)\
{\
	unsigned char tmp = bt &0x0f;\
	b = (tmp + 48) + (tmp > 9 ? 7 : 0);\
	tmp = bt >> 4;\
	a = (tmp + 48) + (tmp > 9 ? 7 : 0);\
}

#include <sys/types.h>

void convert_imei(unsigned char * from, char * to);
time_t fileModifiedAgo(char * path) ;
#endif
